1290001Sglebius# Makefile.in generated by automake 1.15 from Makefile.am.
2290001Sglebius# @configure_input@
3290001Sglebius
4290001Sglebius# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5290001Sglebius
6290001Sglebius# This Makefile.in is free software; the Free Software Foundation
7290001Sglebius# gives unlimited permission to copy and/or distribute it,
8290001Sglebius# with or without modifications, as long as this notice is preserved.
9290001Sglebius
10290001Sglebius# This program is distributed in the hope that it will be useful,
11290001Sglebius# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12290001Sglebius# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13290001Sglebius# PARTICULAR PURPOSE.
14290001Sglebius
15290001Sglebius@SET_MAKE@
16290001SglebiusVPATH = @srcdir@
17290001Sglebiusam__is_gnu_make = { \
18290001Sglebius  if test -z '$(MAKELEVEL)'; then \
19290001Sglebius    false; \
20290001Sglebius  elif test -n '$(MAKE_HOST)'; then \
21290001Sglebius    true; \
22290001Sglebius  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23290001Sglebius    true; \
24290001Sglebius  else \
25290001Sglebius    false; \
26290001Sglebius  fi; \
27290001Sglebius}
28290001Sglebiusam__make_running_with_option = \
29290001Sglebius  case $${target_option-} in \
30290001Sglebius      ?) ;; \
31290001Sglebius      *) echo "am__make_running_with_option: internal error: invalid" \
32290001Sglebius              "target option '$${target_option-}' specified" >&2; \
33290001Sglebius         exit 1;; \
34290001Sglebius  esac; \
35290001Sglebius  has_opt=no; \
36290001Sglebius  sane_makeflags=$$MAKEFLAGS; \
37290001Sglebius  if $(am__is_gnu_make); then \
38290001Sglebius    sane_makeflags=$$MFLAGS; \
39290001Sglebius  else \
40290001Sglebius    case $$MAKEFLAGS in \
41290001Sglebius      *\\[\ \	]*) \
42290001Sglebius        bs=\\; \
43290001Sglebius        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44290001Sglebius          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
45290001Sglebius    esac; \
46290001Sglebius  fi; \
47290001Sglebius  skip_next=no; \
48290001Sglebius  strip_trailopt () \
49290001Sglebius  { \
50290001Sglebius    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51290001Sglebius  }; \
52290001Sglebius  for flg in $$sane_makeflags; do \
53290001Sglebius    test $$skip_next = yes && { skip_next=no; continue; }; \
54290001Sglebius    case $$flg in \
55290001Sglebius      *=*|--*) continue;; \
56290001Sglebius        -*I) strip_trailopt 'I'; skip_next=yes;; \
57290001Sglebius      -*I?*) strip_trailopt 'I';; \
58290001Sglebius        -*O) strip_trailopt 'O'; skip_next=yes;; \
59290001Sglebius      -*O?*) strip_trailopt 'O';; \
60290001Sglebius        -*l) strip_trailopt 'l'; skip_next=yes;; \
61290001Sglebius      -*l?*) strip_trailopt 'l';; \
62290001Sglebius      -[dEDm]) skip_next=yes;; \
63290001Sglebius      -[JT]) skip_next=yes;; \
64290001Sglebius    esac; \
65290001Sglebius    case $$flg in \
66290001Sglebius      *$$target_option*) has_opt=yes; break;; \
67290001Sglebius    esac; \
68290001Sglebius  done; \
69290001Sglebius  test $$has_opt = yes
70290001Sglebiusam__make_dryrun = (target_option=n; $(am__make_running_with_option))
71290001Sglebiusam__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72290001Sglebiuspkgdatadir = $(datadir)/@PACKAGE@
73290001Sglebiuspkgincludedir = $(includedir)/@PACKAGE@
74290001Sglebiuspkglibdir = $(libdir)/@PACKAGE@
75290001Sglebiuspkglibexecdir = $(libexecdir)/@PACKAGE@
76290001Sglebiusam__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77290001Sglebiusinstall_sh_DATA = $(install_sh) -c -m 644
78290001Sglebiusinstall_sh_PROGRAM = $(install_sh) -c
79290001Sglebiusinstall_sh_SCRIPT = $(install_sh) -c
80290001SglebiusINSTALL_HEADER = $(INSTALL_DATA)
81290001Sglebiustransform = $(program_transform_name)
82290001SglebiusNORMAL_INSTALL = :
83290001SglebiusPRE_INSTALL = :
84290001SglebiusPOST_INSTALL = :
85290001SglebiusNORMAL_UNINSTALL = :
86290001SglebiusPRE_UNINSTALL = :
87290001SglebiusPOST_UNINSTALL = :
88290001Sglebiusbuild_triplet = @build@
89290001Sglebiushost_triplet = @host@
90290001Sglebiuscheck_PROGRAMS = sec-2853$(EXEEXT)
91290001Sglebius@NTP_CROSSCOMPILE_FALSE@am__append_1 = $(check_PROGRAMS)
92290001Sglebiussubdir = tests/sec-2853
93290001SglebiusACLOCAL_M4 = $(top_srcdir)/aclocal.m4
94290001Sglebiusam__aclocal_m4_deps = $(top_srcdir)/sntp/libopts/m4/libopts.m4 \
95290001Sglebius	$(top_srcdir)/sntp/libopts/m4/stdnoreturn.m4 \
96290001Sglebius	$(top_srcdir)/sntp/m4/ax_c99_struct_init.m4 \
97290001Sglebius	$(top_srcdir)/sntp/m4/define_dir.m4 \
98290001Sglebius	$(top_srcdir)/sntp/m4/hms_search_lib.m4 \
99290001Sglebius	$(top_srcdir)/sntp/m4/libtool.m4 \
100290001Sglebius	$(top_srcdir)/sntp/m4/ltoptions.m4 \
101290001Sglebius	$(top_srcdir)/sntp/m4/ltsugar.m4 \
102290001Sglebius	$(top_srcdir)/sntp/m4/ltversion.m4 \
103290001Sglebius	$(top_srcdir)/sntp/m4/lt~obsolete.m4 \
104290001Sglebius	$(top_srcdir)/sntp/m4/ntp_cacheversion.m4 \
105290001Sglebius	$(top_srcdir)/sntp/m4/ntp_compiler.m4 \
106290001Sglebius	$(top_srcdir)/sntp/m4/ntp_crosscompile.m4 \
107290001Sglebius	$(top_srcdir)/sntp/m4/ntp_crypto_rand.m4 \
108290001Sglebius	$(top_srcdir)/sntp/m4/ntp_debug.m4 \
109290001Sglebius	$(top_srcdir)/sntp/m4/ntp_dir_sep.m4 \
110290001Sglebius	$(top_srcdir)/sntp/m4/ntp_facilitynames.m4 \
111290001Sglebius	$(top_srcdir)/sntp/m4/ntp_googletest.m4 \
112290001Sglebius	$(top_srcdir)/sntp/m4/ntp_ipv6.m4 \
113290001Sglebius	$(top_srcdir)/sntp/m4/ntp_lib_m.m4 \
114290001Sglebius	$(top_srcdir)/sntp/m4/ntp_libevent.m4 \
115290001Sglebius	$(top_srcdir)/sntp/m4/ntp_libntp.m4 \
116290001Sglebius	$(top_srcdir)/sntp/m4/ntp_lineeditlibs.m4 \
117290001Sglebius	$(top_srcdir)/sntp/m4/ntp_locinfo.m4 \
118290001Sglebius	$(top_srcdir)/sntp/m4/ntp_openssl.m4 \
119290001Sglebius	$(top_srcdir)/sntp/m4/ntp_pkg_config.m4 \
120290001Sglebius	$(top_srcdir)/sntp/m4/ntp_problemtests.m4 \
121290001Sglebius	$(top_srcdir)/sntp/m4/ntp_prog_cc.m4 \
122290001Sglebius	$(top_srcdir)/sntp/m4/ntp_rlimit.m4 \
123290001Sglebius	$(top_srcdir)/sntp/m4/ntp_sntp.m4 \
124290001Sglebius	$(top_srcdir)/sntp/m4/ntp_unitytest.m4 \
125290001Sglebius	$(top_srcdir)/sntp/m4/ntp_ver_suffix.m4 \
126290001Sglebius	$(top_srcdir)/sntp/m4/ntp_vpathhack.m4 \
127290001Sglebius	$(top_srcdir)/sntp/m4/openldap-thread-check.m4 \
128290001Sglebius	$(top_srcdir)/sntp/m4/openldap.m4 \
129290001Sglebius	$(top_srcdir)/sntp/m4/os_cflags.m4 \
130290001Sglebius	$(top_srcdir)/sntp/m4/snprintf.m4 \
131290001Sglebius	$(top_srcdir)/sntp/m4/version.m4 $(top_srcdir)/configure.ac
132290001Sglebiusam__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
133290001Sglebius	$(ACLOCAL_M4)
134290001SglebiusDIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
135290001Sglebiusmkinstalldirs = $(install_sh) -d
136290001SglebiusCONFIG_HEADER = $(top_builddir)/config.h
137290001SglebiusCONFIG_CLEAN_FILES =
138290001SglebiusCONFIG_CLEAN_VPATH_FILES =
139290001Sglebiusam__objects_1 =
140290001Sglebiusam_sec_2853_OBJECTS = run-sec-2853.$(OBJEXT) sec-2853.$(OBJEXT) \
141290001Sglebius	$(am__objects_1)
142290001Sglebiussec_2853_OBJECTS = $(am_sec_2853_OBJECTS)
143290001Sglebiussec_2853_LDADD = $(LDADD)
144290001Sglebiusam__DEPENDENCIES_1 =
145290001Sglebiussec_2853_DEPENDENCIES = $(top_builddir)/sntp/unity/libunity.a \
146290001Sglebius	$(top_builddir)/ntpd/rc_cmdlength.o $(am__DEPENDENCIES_1) \
147290001Sglebius	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
148290001Sglebius	$(am__DEPENDENCIES_1)
149290001SglebiusAM_V_lt = $(am__v_lt_@AM_V@)
150290001Sglebiusam__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
151290001Sglebiusam__v_lt_0 = --silent
152290001Sglebiusam__v_lt_1 = 
153290001SglebiusAM_V_P = $(am__v_P_@AM_V@)
154290001Sglebiusam__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
155290001Sglebiusam__v_P_0 = false
156290001Sglebiusam__v_P_1 = :
157290001SglebiusAM_V_GEN = $(am__v_GEN_@AM_V@)
158290001Sglebiusam__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
159290001Sglebiusam__v_GEN_0 = @echo "  GEN     " $@;
160290001Sglebiusam__v_GEN_1 = 
161290001SglebiusAM_V_at = $(am__v_at_@AM_V@)
162290001Sglebiusam__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
163290001Sglebiusam__v_at_0 = @
164290001Sglebiusam__v_at_1 = 
165290001SglebiusDEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
166290001Sglebiusdepcomp = $(SHELL) $(top_srcdir)/sntp/libevent/build-aux/depcomp
167290001Sglebiusam__depfiles_maybe = depfiles
168290001Sglebiusam__mv = mv -f
169290001SglebiusCOMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
170290001Sglebius	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
171290001SglebiusLTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
172290001Sglebius	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
173290001Sglebius	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
174290001Sglebius	$(AM_CFLAGS) $(CFLAGS)
175290001SglebiusAM_V_CC = $(am__v_CC_@AM_V@)
176290001Sglebiusam__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
177290001Sglebiusam__v_CC_0 = @echo "  CC      " $@;
178290001Sglebiusam__v_CC_1 = 
179290001SglebiusCCLD = $(CC)
180290001SglebiusLINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
181290001Sglebius	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
182290001Sglebius	$(AM_LDFLAGS) $(LDFLAGS) -o $@
183290001SglebiusAM_V_CCLD = $(am__v_CCLD_@AM_V@)
184290001Sglebiusam__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
185290001Sglebiusam__v_CCLD_0 = @echo "  CCLD    " $@;
186290001Sglebiusam__v_CCLD_1 = 
187290001SglebiusSOURCES = $(sec_2853_SOURCES)
188290001SglebiusDIST_SOURCES = $(sec_2853_SOURCES)
189290001Sglebiusam__can_run_installinfo = \
190290001Sglebius  case $$AM_UPDATE_INFO_DIR in \
191290001Sglebius    n|no|NO) false;; \
192290001Sglebius    *) (install-info --version) >/dev/null 2>&1;; \
193290001Sglebius  esac
194290001Sglebiusam__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
195290001Sglebius# Read a list of newline-separated strings from the standard input,
196290001Sglebius# and print each of them once, without duplicates.  Input order is
197290001Sglebius# *not* preserved.
198290001Sglebiusam__uniquify_input = $(AWK) '\
199290001Sglebius  BEGIN { nonempty = 0; } \
200290001Sglebius  { items[$$0] = 1; nonempty = 1; } \
201290001Sglebius  END { if (nonempty) { for (i in items) print i; }; } \
202290001Sglebius'
203290001Sglebius# Make sure the list of sources is unique.  This is necessary because,
204290001Sglebius# e.g., the same source file might be shared among _SOURCES variables
205290001Sglebius# for different programs/libraries.
206290001Sglebiusam__define_uniq_tagged_files = \
207290001Sglebius  list='$(am__tagged_files)'; \
208290001Sglebius  unique=`for i in $$list; do \
209290001Sglebius    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
210290001Sglebius  done | $(am__uniquify_input)`
211290001SglebiusETAGS = etags
212290001SglebiusCTAGS = ctags
213290001Sglebiusam__tty_colors_dummy = \
214290001Sglebius  mgn= red= grn= lgn= blu= brg= std=; \
215290001Sglebius  am__color_tests=no
216290001Sglebiusam__tty_colors = { \
217290001Sglebius  $(am__tty_colors_dummy); \
218290001Sglebius  if test "X$(AM_COLOR_TESTS)" = Xno; then \
219290001Sglebius    am__color_tests=no; \
220290001Sglebius  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
221290001Sglebius    am__color_tests=yes; \
222290001Sglebius  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
223290001Sglebius    am__color_tests=yes; \
224290001Sglebius  fi; \
225290001Sglebius  if test $$am__color_tests = yes; then \
226290001Sglebius    red='[0;31m'; \
227290001Sglebius    grn='[0;32m'; \
228290001Sglebius    lgn='[1;32m'; \
229290001Sglebius    blu='[1;34m'; \
230290001Sglebius    mgn='[0;35m'; \
231290001Sglebius    brg='[1m'; \
232290001Sglebius    std='[m'; \
233290001Sglebius  fi; \
234290001Sglebius}
235290001Sglebiusam__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
236290001Sglebiusam__vpath_adj = case $$p in \
237290001Sglebius    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
238290001Sglebius    *) f=$$p;; \
239290001Sglebius  esac;
240290001Sglebiusam__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
241290001Sglebiusam__install_max = 40
242290001Sglebiusam__nobase_strip_setup = \
243290001Sglebius  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
244290001Sglebiusam__nobase_strip = \
245290001Sglebius  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
246290001Sglebiusam__nobase_list = $(am__nobase_strip_setup); \
247290001Sglebius  for p in $$list; do echo "$$p $$p"; done | \
248290001Sglebius  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
249290001Sglebius  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
250290001Sglebius    if (++n[$$2] == $(am__install_max)) \
251290001Sglebius      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
252290001Sglebius    END { for (dir in files) print dir, files[dir] }'
253290001Sglebiusam__base_list = \
254290001Sglebius  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
255290001Sglebius  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
256290001Sglebiusam__uninstall_files_from_dir = { \
257290001Sglebius  test -z "$$files" \
258290001Sglebius    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
259290001Sglebius    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
260290001Sglebius         $(am__cd) "$$dir" && rm -f $$files; }; \
261290001Sglebius  }
262290001Sglebiusam__recheck_rx = ^[ 	]*:recheck:[ 	]*
263290001Sglebiusam__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
264290001Sglebiusam__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
265290001Sglebius# A command that, given a newline-separated list of test names on the
266290001Sglebius# standard input, print the name of the tests that are to be re-run
267290001Sglebius# upon "make recheck".
268290001Sglebiusam__list_recheck_tests = $(AWK) '{ \
269290001Sglebius  recheck = 1; \
270290001Sglebius  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
271290001Sglebius    { \
272290001Sglebius      if (rc < 0) \
273290001Sglebius        { \
274290001Sglebius          if ((getline line2 < ($$0 ".log")) < 0) \
275290001Sglebius	    recheck = 0; \
276290001Sglebius          break; \
277290001Sglebius        } \
278290001Sglebius      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
279290001Sglebius        { \
280290001Sglebius          recheck = 0; \
281290001Sglebius          break; \
282290001Sglebius        } \
283290001Sglebius      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
284290001Sglebius        { \
285290001Sglebius          break; \
286290001Sglebius        } \
287290001Sglebius    }; \
288290001Sglebius  if (recheck) \
289290001Sglebius    print $$0; \
290290001Sglebius  close ($$0 ".trs"); \
291290001Sglebius  close ($$0 ".log"); \
292290001Sglebius}'
293290001Sglebius# A command that, given a newline-separated list of test names on the
294290001Sglebius# standard input, create the global log from their .trs and .log files.
295290001Sglebiusam__create_global_log = $(AWK) ' \
296290001Sglebiusfunction fatal(msg) \
297290001Sglebius{ \
298290001Sglebius  print "fatal: making $@: " msg | "cat >&2"; \
299290001Sglebius  exit 1; \
300290001Sglebius} \
301290001Sglebiusfunction rst_section(header) \
302290001Sglebius{ \
303290001Sglebius  print header; \
304290001Sglebius  len = length(header); \
305290001Sglebius  for (i = 1; i <= len; i = i + 1) \
306290001Sglebius    printf "="; \
307290001Sglebius  printf "\n\n"; \
308290001Sglebius} \
309290001Sglebius{ \
310290001Sglebius  copy_in_global_log = 1; \
311290001Sglebius  global_test_result = "RUN"; \
312290001Sglebius  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
313290001Sglebius    { \
314290001Sglebius      if (rc < 0) \
315290001Sglebius         fatal("failed to read from " $$0 ".trs"); \
316290001Sglebius      if (line ~ /$(am__global_test_result_rx)/) \
317290001Sglebius        { \
318290001Sglebius          sub("$(am__global_test_result_rx)", "", line); \
319290001Sglebius          sub("[ 	]*$$", "", line); \
320290001Sglebius          global_test_result = line; \
321290001Sglebius        } \
322290001Sglebius      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
323290001Sglebius        copy_in_global_log = 0; \
324290001Sglebius    }; \
325290001Sglebius  if (copy_in_global_log) \
326290001Sglebius    { \
327290001Sglebius      rst_section(global_test_result ": " $$0); \
328290001Sglebius      while ((rc = (getline line < ($$0 ".log"))) != 0) \
329290001Sglebius      { \
330290001Sglebius        if (rc < 0) \
331290001Sglebius          fatal("failed to read from " $$0 ".log"); \
332290001Sglebius        print line; \
333290001Sglebius      }; \
334290001Sglebius      printf "\n"; \
335290001Sglebius    }; \
336290001Sglebius  close ($$0 ".trs"); \
337290001Sglebius  close ($$0 ".log"); \
338290001Sglebius}'
339290001Sglebius# Restructured Text title.
340290001Sglebiusam__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
341290001Sglebius# Solaris 10 'make', and several other traditional 'make' implementations,
342290001Sglebius# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
343290001Sglebius# by disabling -e (using the XSI extension "set +e") if it's set.
344290001Sglebiusam__sh_e_setup = case $$- in *e*) set +e;; esac
345290001Sglebius# Default flags passed to test drivers.
346290001Sglebiusam__common_driver_flags = \
347290001Sglebius  --color-tests "$$am__color_tests" \
348290001Sglebius  --enable-hard-errors "$$am__enable_hard_errors" \
349290001Sglebius  --expect-failure "$$am__expect_failure"
350290001Sglebius# To be inserted before the command running the test.  Creates the
351290001Sglebius# directory for the log if needed.  Stores in $dir the directory
352290001Sglebius# containing $f, in $tst the test, in $log the log.  Executes the
353290001Sglebius# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
354290001Sglebius# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
355290001Sglebius# will run the test scripts (or their associated LOG_COMPILER, if
356290001Sglebius# thy have one).
357290001Sglebiusam__check_pre = \
358290001Sglebius$(am__sh_e_setup);					\
359290001Sglebius$(am__vpath_adj_setup) $(am__vpath_adj)			\
360290001Sglebius$(am__tty_colors);					\
361290001Sglebiussrcdir=$(srcdir); export srcdir;			\
362290001Sglebiuscase "$@" in						\
363290001Sglebius  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
364290001Sglebius    *) am__odir=.;; 					\
365290001Sglebiusesac;							\
366290001Sglebiustest "x$$am__odir" = x"." || test -d "$$am__odir" 	\
367290001Sglebius  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
368290001Sglebiusif test -f "./$$f"; then dir=./;			\
369290001Sglebiuselif test -f "$$f"; then dir=;				\
370290001Sglebiuselse dir="$(srcdir)/"; fi;				\
371290001Sglebiustst=$$dir$$f; log='$@'; 				\
372290001Sglebiusif test -n '$(DISABLE_HARD_ERRORS)'; then		\
373290001Sglebius  am__enable_hard_errors=no; 				\
374290001Sglebiuselse							\
375290001Sglebius  am__enable_hard_errors=yes; 				\
376290001Sglebiusfi; 							\
377290001Sglebiuscase " $(XFAIL_TESTS) " in				\
378290001Sglebius  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
379290001Sglebius    am__expect_failure=yes;;				\
380290001Sglebius  *)							\
381290001Sglebius    am__expect_failure=no;;				\
382290001Sglebiusesac; 							\
383290001Sglebius$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
384290001Sglebius# A shell command to get the names of the tests scripts with any registered
385290001Sglebius# extension removed (i.e., equivalently, the names of the test logs, with
386290001Sglebius# the '.log' extension removed).  The result is saved in the shell variable
387290001Sglebius# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
388290001Sglebius# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
389290001Sglebius# since that might cause problem with VPATH rewrites for suffix-less tests.
390290001Sglebius# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
391290001Sglebiusam__set_TESTS_bases = \
392290001Sglebius  bases='$(TEST_LOGS)'; \
393290001Sglebius  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
394290001Sglebius  bases=`echo $$bases`
395290001SglebiusRECHECK_LOGS = $(TEST_LOGS)
396290001SglebiusAM_RECURSIVE_TARGETS = check recheck
397290001SglebiusTEST_SUITE_LOG = test-suite.log
398290001SglebiusTEST_EXTENSIONS = @EXEEXT@ .test
399290001SglebiusLOG_DRIVER = $(SHELL) \
400290001Sglebius	$(top_srcdir)/sntp/libevent/build-aux/test-driver
401290001SglebiusLOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
402290001Sglebiusam__set_b = \
403290001Sglebius  case '$@' in \
404290001Sglebius    */*) \
405290001Sglebius      case '$*' in \
406290001Sglebius        */*) b='$*';; \
407290001Sglebius          *) b=`echo '$@' | sed 's/\.log$$//'`; \
408290001Sglebius       esac;; \
409290001Sglebius    *) \
410290001Sglebius      b='$*';; \
411290001Sglebius  esac
412290001Sglebiusam__test_logs1 = $(TESTS:=.log)
413290001Sglebiusam__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
414290001SglebiusTEST_LOGS = $(am__test_logs2:.test.log=.log)
415290001SglebiusTEST_LOG_DRIVER = $(SHELL) \
416290001Sglebius	$(top_srcdir)/sntp/libevent/build-aux/test-driver
417290001SglebiusTEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
418290001Sglebius	$(TEST_LOG_FLAGS)
419290001Sglebiusam__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depsver.mf \
420290001Sglebius	$(top_srcdir)/includes.mf \
421290001Sglebius	$(top_srcdir)/sntp/libevent/build-aux/depcomp \
422290001Sglebius	$(top_srcdir)/sntp/libevent/build-aux/test-driver
423290001SglebiusDISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
424290001SglebiusACLOCAL = @ACLOCAL@
425290001SglebiusALLOCA = @ALLOCA@
426290001SglebiusAMTAR = @AMTAR@
427290001SglebiusAM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
428290001SglebiusAR = @AR@
429290001SglebiusAUTOCONF = @AUTOCONF@
430290001SglebiusAUTOHEADER = @AUTOHEADER@
431290001SglebiusAUTOMAKE = @AUTOMAKE@
432290001SglebiusAWK = @AWK@
433290001SglebiusBUILD_THREAD = @BUILD_THREAD@
434290001SglebiusCALC_TICKADJ_DB = @CALC_TICKADJ_DB@
435290001SglebiusCALC_TICKADJ_DL = @CALC_TICKADJ_DL@
436290001SglebiusCALC_TICKADJ_DS = @CALC_TICKADJ_DS@
437290001SglebiusCALC_TICKADJ_MS = @CALC_TICKADJ_MS@
438290001SglebiusCALC_TICKADJ_NI = @CALC_TICKADJ_NI@
439290001SglebiusCC = @CC@
440290001SglebiusCCDEPMODE = @CCDEPMODE@
441290001SglebiusCFLAGS = @CFLAGS@
442290001SglebiusCFLAGS_LIBEVENT = @CFLAGS_LIBEVENT@
443290001SglebiusCFLAGS_NTP = @CFLAGS_NTP@
444290001SglebiusCHUTEST = @CHUTEST@
445290001SglebiusCONFIG_SHELL = @CONFIG_SHELL@
446290001SglebiusCPP = @CPP@
447290001SglebiusCPPFLAGS = @CPPFLAGS@
448290001SglebiusCPPFLAGS_LIBEVENT = @CPPFLAGS_LIBEVENT@
449290001SglebiusCPPFLAGS_NTP = @CPPFLAGS_NTP@
450290001SglebiusCXX = @CXX@
451290001SglebiusCXXCPP = @CXXCPP@
452290001SglebiusCXXDEPMODE = @CXXDEPMODE@
453290001SglebiusCXXFLAGS = @CXXFLAGS@
454290001SglebiusCYGPATH_W = @CYGPATH_W@
455290001SglebiusDCFD = @DCFD@
456290001SglebiusDEFS = @DEFS@
457290001SglebiusDEPDIR = @DEPDIR@
458290001SglebiusDLLTOOL = @DLLTOOL@
459290001SglebiusDSYMUTIL = @DSYMUTIL@
460290001SglebiusDUMPBIN = @DUMPBIN@
461290001SglebiusECHO_C = @ECHO_C@
462290001SglebiusECHO_N = @ECHO_N@
463290001SglebiusECHO_T = @ECHO_T@
464290001SglebiusEDITLINE_LIBS = @EDITLINE_LIBS@
465290001SglebiusEGREP = @EGREP@
466290001SglebiusEXEEXT = @EXEEXT@
467290001SglebiusFGREP = @FGREP@
468290001SglebiusGREP = @GREP@
469290001SglebiusGTEST_CONFIG = @GTEST_CONFIG@
470290001SglebiusGTEST_CPPFLAGS = @GTEST_CPPFLAGS@
471290001SglebiusGTEST_CXXFLAGS = @GTEST_CXXFLAGS@
472290001SglebiusGTEST_LDFLAGS = @GTEST_LDFLAGS@
473290001SglebiusGTEST_LIBS = @GTEST_LIBS@
474290001SglebiusHAVE_INLINE = @HAVE_INLINE@
475290001SglebiusHAVE_LEAPSMEARINTERVAL = @HAVE_LEAPSMEARINTERVAL@
476290001SglebiusHAVE_RLIMIT_MEMLOCK = @HAVE_RLIMIT_MEMLOCK@
477290001SglebiusHAVE_RLIMIT_STACK = @HAVE_RLIMIT_STACK@
478290001SglebiusINSTALL = @INSTALL@
479290001SglebiusINSTALL_DATA = @INSTALL_DATA@
480290001SglebiusINSTALL_PROGRAM = @INSTALL_PROGRAM@
481290001SglebiusINSTALL_SCRIPT = @INSTALL_SCRIPT@
482290001SglebiusINSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
483290001SglebiusLD = @LD@
484290001SglebiusLDADD_LIBEVENT = @LDADD_LIBEVENT@
485290001SglebiusLDADD_LIBNTP = @LDADD_LIBNTP@
486290001SglebiusLDADD_LIBUTIL = @LDADD_LIBUTIL@
487290001SglebiusLDADD_NLIST = @LDADD_NLIST@
488290001SglebiusLDADD_NTP = @LDADD_NTP@
489290001SglebiusLDFLAGS = @LDFLAGS@
490290001SglebiusLDFLAGS_NTP = @LDFLAGS_NTP@
491290001SglebiusLIBISC_PTHREADS_NOTHREADS = @LIBISC_PTHREADS_NOTHREADS@
492290001SglebiusLIBM = @LIBM@
493290001SglebiusLIBOBJS = @LIBOBJS@
494290001SglebiusLIBOPTS_CFLAGS = @LIBOPTS_CFLAGS@
495290001SglebiusLIBOPTS_DIR = @LIBOPTS_DIR@
496290001SglebiusLIBOPTS_LDADD = @LIBOPTS_LDADD@
497290001SglebiusLIBPARSE = @LIBPARSE@
498290001SglebiusLIBS = @LIBS@
499290001SglebiusLIBTOOL = @LIBTOOL@
500290001SglebiusLIBTOOL_DEPS = @LIBTOOL_DEPS@
501290001SglebiusLIPO = @LIPO@
502290001SglebiusLN_S = @LN_S@
503290001SglebiusLSCF = @LSCF@
504290001SglebiusLTHREAD_LIBS = @LTHREAD_LIBS@
505290001SglebiusLTLIBOBJS = @LTLIBOBJS@
506290001SglebiusMAKEINFO = @MAKEINFO@
507290001SglebiusMAKE_ADJTIMED = @MAKE_ADJTIMED@
508290001SglebiusMAKE_CHECK_LAYOUT = @MAKE_CHECK_LAYOUT@
509290001SglebiusMAKE_CHECK_Y2K = @MAKE_CHECK_Y2K@
510290001SglebiusMAKE_LIBNTPSIM = @MAKE_LIBNTPSIM@
511290001SglebiusMAKE_LIBPARSE = @MAKE_LIBPARSE@
512290001SglebiusMAKE_LIBPARSE_KERNEL = @MAKE_LIBPARSE_KERNEL@
513290001SglebiusMAKE_NTPDSIM = @MAKE_NTPDSIM@
514290001SglebiusMAKE_NTPSNMPD = @MAKE_NTPSNMPD@
515290001SglebiusMAKE_NTPTIME = @MAKE_NTPTIME@
516290001SglebiusMAKE_PARSEKMODULE = @MAKE_PARSEKMODULE@
517290001SglebiusMAKE_TICKADJ = @MAKE_TICKADJ@
518290001SglebiusMAKE_TIMETRIM = @MAKE_TIMETRIM@
519290001SglebiusMANIFEST_TOOL = @MANIFEST_TOOL@
520290001SglebiusMANTAGFMT = @MANTAGFMT@
521290001SglebiusMKDIR_P = @MKDIR_P@
522290001SglebiusNM = @NM@
523290001SglebiusNMEDIT = @NMEDIT@
524290001SglebiusNTPDATE_DB = @NTPDATE_DB@
525290001SglebiusNTPDATE_DL = @NTPDATE_DL@
526290001SglebiusNTPDATE_DS = @NTPDATE_DS@
527290001SglebiusNTPDATE_MS = @NTPDATE_MS@
528290001SglebiusNTPDATE_NI = @NTPDATE_NI@
529290001SglebiusNTPDC_DB = @NTPDC_DB@
530290001SglebiusNTPDC_DL = @NTPDC_DL@
531290001SglebiusNTPDC_DS = @NTPDC_DS@
532290001SglebiusNTPDC_MS = @NTPDC_MS@
533290001SglebiusNTPDC_NI = @NTPDC_NI@
534290001SglebiusNTPDSIM_DB = @NTPDSIM_DB@
535290001SglebiusNTPDSIM_DL = @NTPDSIM_DL@
536290001SglebiusNTPDSIM_DS = @NTPDSIM_DS@
537290001SglebiusNTPDSIM_MS = @NTPDSIM_MS@
538290001SglebiusNTPDSIM_NI = @NTPDSIM_NI@
539290001SglebiusNTPD_DB = @NTPD_DB@
540290001SglebiusNTPD_DL = @NTPD_DL@
541290001SglebiusNTPD_DS = @NTPD_DS@
542290001SglebiusNTPD_MS = @NTPD_MS@
543290001SglebiusNTPD_NI = @NTPD_NI@
544290001SglebiusNTPQ_DB = @NTPQ_DB@
545290001SglebiusNTPQ_DL = @NTPQ_DL@
546290001SglebiusNTPQ_DS = @NTPQ_DS@
547290001SglebiusNTPQ_MS = @NTPQ_MS@
548290001SglebiusNTPQ_NI = @NTPQ_NI@
549290001SglebiusNTPSNMPD_DB = @NTPSNMPD_DB@
550290001SglebiusNTPSNMPD_DL = @NTPSNMPD_DL@
551290001SglebiusNTPSNMPD_DS = @NTPSNMPD_DS@
552290001SglebiusNTPSNMPD_MS = @NTPSNMPD_MS@
553290001SglebiusNTPSNMPD_NI = @NTPSNMPD_NI@
554290001SglebiusNTPSWEEP_DB = @NTPSWEEP_DB@
555290001SglebiusNTPSWEEP_DL = @NTPSWEEP_DL@
556290001SglebiusNTPSWEEP_DS = @NTPSWEEP_DS@
557290001SglebiusNTPSWEEP_MS = @NTPSWEEP_MS@
558290001SglebiusNTPSWEEP_NI = @NTPSWEEP_NI@
559290001SglebiusNTPTIME_DB = @NTPTIME_DB@
560290001SglebiusNTPTIME_DL = @NTPTIME_DL@
561290001SglebiusNTPTIME_DS = @NTPTIME_DS@
562290001SglebiusNTPTIME_MS = @NTPTIME_MS@
563290001SglebiusNTPTIME_NI = @NTPTIME_NI@
564290001SglebiusNTPTRACE_DB = @NTPTRACE_DB@
565290001SglebiusNTPTRACE_DL = @NTPTRACE_DL@
566290001SglebiusNTPTRACE_DS = @NTPTRACE_DS@
567290001SglebiusNTPTRACE_MS = @NTPTRACE_MS@
568290001SglebiusNTPTRACE_NI = @NTPTRACE_NI@
569290001SglebiusNTP_KEYGEN_DB = @NTP_KEYGEN_DB@
570290001SglebiusNTP_KEYGEN_DL = @NTP_KEYGEN_DL@
571290001SglebiusNTP_KEYGEN_DS = @NTP_KEYGEN_DS@
572290001SglebiusNTP_KEYGEN_MS = @NTP_KEYGEN_MS@
573290001SglebiusNTP_KEYGEN_NI = @NTP_KEYGEN_NI@
574290001SglebiusNTP_KEYSDIR = @NTP_KEYSDIR@
575290001SglebiusNTP_WAIT_DB = @NTP_WAIT_DB@
576290001SglebiusNTP_WAIT_DL = @NTP_WAIT_DL@
577290001SglebiusNTP_WAIT_DS = @NTP_WAIT_DS@
578290001SglebiusNTP_WAIT_MS = @NTP_WAIT_MS@
579290001SglebiusNTP_WAIT_NI = @NTP_WAIT_NI@
580290001SglebiusOBJDUMP = @OBJDUMP@
581290001SglebiusOBJEXT = @OBJEXT@
582290001SglebiusOTOOL = @OTOOL@
583290001SglebiusOTOOL64 = @OTOOL64@
584290001SglebiusPACKAGE = @PACKAGE@
585290001SglebiusPACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
586290001SglebiusPACKAGE_NAME = @PACKAGE_NAME@
587290001SglebiusPACKAGE_STRING = @PACKAGE_STRING@
588290001SglebiusPACKAGE_TARNAME = @PACKAGE_TARNAME@
589290001SglebiusPACKAGE_URL = @PACKAGE_URL@
590290001SglebiusPACKAGE_VERSION = @PACKAGE_VERSION@
591290001SglebiusPATH_NET_SNMP_CONFIG = @PATH_NET_SNMP_CONFIG@
592290001SglebiusPATH_PERL = @PATH_PERL@
593290001SglebiusPATH_RUBY = @PATH_RUBY@
594290001SglebiusPATH_SEPARATOR = @PATH_SEPARATOR@
595290001SglebiusPATH_TEST = @PATH_TEST@
596290001SglebiusPERLLIBDIR = @PERLLIBDIR@
597290001SglebiusPKG_CONFIG = @PKG_CONFIG@
598290001SglebiusPOSIX_SHELL = @POSIX_SHELL@
599290001SglebiusPROPDELAY = @PROPDELAY@
600290001SglebiusPTHREAD_LIBS = @PTHREAD_LIBS@
601290001SglebiusRANLIB = @RANLIB@
602290001SglebiusSED = @SED@
603290001SglebiusSET_MAKE = @SET_MAKE@
604290001SglebiusSHELL = @SHELL@
605290001SglebiusSNMP_CFLAGS = @SNMP_CFLAGS@
606290001SglebiusSNMP_CPPFLAGS = @SNMP_CPPFLAGS@
607290001SglebiusSNMP_LIBS = @SNMP_LIBS@
608290001SglebiusSNTP = @SNTP@
609290001SglebiusSNTP_DB = @SNTP_DB@
610290001SglebiusSNTP_DL = @SNTP_DL@
611290001SglebiusSNTP_DS = @SNTP_DS@
612290001SglebiusSNTP_MS = @SNTP_MS@
613290001SglebiusSNTP_NI = @SNTP_NI@
614290001SglebiusSTDNORETURN_H = @STDNORETURN_H@
615290001SglebiusSTRIP = @STRIP@
616290001SglebiusTESTDCF = @TESTDCF@
617290001SglebiusTICKADJ_DB = @TICKADJ_DB@
618290001SglebiusTICKADJ_DL = @TICKADJ_DL@
619290001SglebiusTICKADJ_DS = @TICKADJ_DS@
620290001SglebiusTICKADJ_MS = @TICKADJ_MS@
621290001SglebiusTICKADJ_NI = @TICKADJ_NI@
622290001SglebiusTIMETRIM_DB = @TIMETRIM_DB@
623290001SglebiusTIMETRIM_DL = @TIMETRIM_DL@
624290001SglebiusTIMETRIM_DS = @TIMETRIM_DS@
625290001SglebiusTIMETRIM_MS = @TIMETRIM_MS@
626290001SglebiusTIMETRIM_NI = @TIMETRIM_NI@
627290001SglebiusUPDATE_LEAP_DB = @UPDATE_LEAP_DB@
628290001SglebiusUPDATE_LEAP_DL = @UPDATE_LEAP_DL@
629290001SglebiusUPDATE_LEAP_DS = @UPDATE_LEAP_DS@
630290001SglebiusUPDATE_LEAP_MS = @UPDATE_LEAP_MS@
631290001SglebiusUPDATE_LEAP_NI = @UPDATE_LEAP_NI@
632290001SglebiusVERSION = @VERSION@
633290001SglebiusVER_SUFFIX = @VER_SUFFIX@
634290001SglebiusYACC = @YACC@
635290001SglebiusYFLAGS = @YFLAGS@
636290001Sglebiusabs_builddir = @abs_builddir@
637290001Sglebiusabs_srcdir = @abs_srcdir@
638290001Sglebiusabs_top_builddir = @abs_top_builddir@
639290001Sglebiusabs_top_srcdir = @abs_top_srcdir@
640290001Sglebiusac_ct_AR = @ac_ct_AR@
641290001Sglebiusac_ct_CC = @ac_ct_CC@
642290001Sglebiusac_ct_CXX = @ac_ct_CXX@
643290001Sglebiusac_ct_DUMPBIN = @ac_ct_DUMPBIN@
644290001Sglebiusam__include = @am__include@
645290001Sglebiusam__leading_dot = @am__leading_dot@
646290001Sglebiusam__quote = @am__quote@
647290001Sglebiusam__tar = @am__tar@
648290001Sglebiusam__untar = @am__untar@
649290001Sglebiusbindir = @bindir@
650290001Sglebiusbuild = @build@
651290001Sglebiusbuild_alias = @build_alias@
652290001Sglebiusbuild_cpu = @build_cpu@
653290001Sglebiusbuild_os = @build_os@
654290001Sglebiusbuild_vendor = @build_vendor@
655290001Sglebiusbuilddir = @builddir@
656290001Sglebiusdatadir = @datadir@
657290001Sglebiusdatarootdir = @datarootdir@
658290001Sglebiusdocdir = @docdir@
659290001Sglebiusdvidir = @dvidir@
660290001Sglebiusexec_prefix = @exec_prefix@
661290001Sglebiushost = @host@
662290001Sglebiushost_alias = @host_alias@
663290001Sglebiushost_cpu = @host_cpu@
664290001Sglebiushost_os = @host_os@
665290001Sglebiushost_vendor = @host_vendor@
666290001Sglebiushtmldir = @htmldir@
667290001Sglebiusincludedir = @includedir@
668290001Sglebiusinfodir = @infodir@
669290001Sglebiusinstall_sh = @install_sh@
670290001Sglebiuslibdir = @libdir@
671290001Sglebiuslibexecdir = @libexecdir@
672290001Sglebiuslocaledir = @localedir@
673290001Sglebiuslocalstatedir = @localstatedir@
674290001Sglebiusmandir = @mandir@
675290001Sglebiusmkdir_p = @mkdir_p@
676290001Sglebiusoldincludedir = @oldincludedir@
677290001Sglebiuspdfdir = @pdfdir@
678290001Sglebiusprefix = @prefix@
679290001Sglebiusprogram_transform_name = @program_transform_name@
680290001Sglebiuspsdir = @psdir@
681290001Sglebiussbindir = @sbindir@
682290001Sglebiussharedstatedir = @sharedstatedir@
683290001Sglebiussrcdir = @srcdir@
684290001Sglebiussubdirs = @subdirs@
685290001Sglebiussysconfdir = @sysconfdir@
686290001Sglebiustarget_alias = @target_alias@
687290001Sglebiustop_build_prefix = @top_build_prefix@
688290001Sglebiustop_builddir = @top_builddir@
689290001Sglebiustop_srcdir = @top_srcdir@
690290001Sglebius
691290001Sglebius#AUTOMAKE_OPTIONS = foreign 1.9 subdir-objects
692290001SglebiusNULL = 
693290001SglebiusBUILT_SOURCES = $(srcdir)/run-sec-2853.c check-libntp check-libunity \
694290001Sglebius	check-rc-cmdlength .deps-ver
695290001SglebiusCLEANFILES = check-libntp check-libunity check-rc-cmdlength .deps-ver
696290001Sglebiusstd_unity_list = \
697290001Sglebius	$(top_srcdir)/sntp/unity/auto/generate_test_runner.rb	\
698290001Sglebius	$(NULL)
699290001Sglebius
700290001Sglebiusrun_unity = cd $(srcdir) && ruby ../../sntp/unity/auto/generate_test_runner.rb
701290001Sglebius
702290001Sglebius# HMS: we may not need some of these:
703290001SglebiusLDADD = \
704290001Sglebius	$(top_builddir)/sntp/unity/libunity.a	\
705290001Sglebius	$(top_builddir)/ntpd/rc_cmdlength.o	\
706290001Sglebius	$(LDADD_LIBNTP)			\
707290001Sglebius	$(PTHREAD_LIBS)			\
708290001Sglebius	$(LDADD_NTP)			\
709290001Sglebius	$(NULL)
710290001Sglebius
711290001SglebiusAM_CFLAGS = $(CFLAGS_NTP)
712290001Sglebius
713290001Sglebius# HMS: we may not need some of these:
714290001SglebiusAM_CPPFLAGS = $(NTP_INCS) -I$(top_srcdir)/sntp/unity \
715290001Sglebius	-I$(top_srcdir)/include $(CPPFLAGS_NTP) \
716290001Sglebius	-DUNITY_INCLUDE_CONFIG_H -I$(top_srcdir)/sntp/unity
717290001SglebiusAM_LDFLAGS = $(LDFLAGS_NTP)
718290001Sglebiussec_2853_SOURCES = \
719290001Sglebius	run-sec-2853.c			\
720290001Sglebius	sec-2853.c			\
721290001Sglebius	$(NULL)
722290001Sglebius
723290001Sglebius
724290001Sglebius# HMS: we may not need some of these:
725290001Sglebius#noinst_HEADERS =	ntpdtest.h	\
726290001Sglebius#			$(NULL)
727290001SglebiusTESTS = $(am__append_1)
728290001SglebiusNTP_INCS = -I$(top_srcdir)/include -I$(top_srcdir)/lib/isc/include \
729290001Sglebius	-I$(top_srcdir)/lib/isc/$(LIBISC_PTHREADS_NOTHREADS)/include \
730290001Sglebius	-I$(top_srcdir)/lib/isc/unix/include
731290001Sglebiusall: $(BUILT_SOURCES)
732290001Sglebius	$(MAKE) $(AM_MAKEFLAGS) all-am
733290001Sglebius
734290001Sglebius.SUFFIXES:
735290001Sglebius.SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
736290001Sglebius$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/depsver.mf $(top_srcdir)/includes.mf $(am__configure_deps)
737290001Sglebius	@for dep in $?; do \
738290001Sglebius	  case '$(am__configure_deps)' in \
739290001Sglebius	    *$$dep*) \
740290001Sglebius	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
741290001Sglebius	        && { if test -f $@; then exit 0; else break; fi; }; \
742290001Sglebius	      exit 1;; \
743290001Sglebius	  esac; \
744290001Sglebius	done; \
745290001Sglebius	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/sec-2853/Makefile'; \
746290001Sglebius	$(am__cd) $(top_srcdir) && \
747290001Sglebius	  $(AUTOMAKE) --foreign tests/sec-2853/Makefile
748290001SglebiusMakefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
749290001Sglebius	@case '$?' in \
750290001Sglebius	  *config.status*) \
751290001Sglebius	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
752290001Sglebius	  *) \
753290001Sglebius	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
754290001Sglebius	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
755290001Sglebius	esac;
756290001Sglebius$(top_srcdir)/depsver.mf $(top_srcdir)/includes.mf $(am__empty):
757290001Sglebius
758290001Sglebius$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
759290001Sglebius	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
760290001Sglebius
761290001Sglebius$(top_srcdir)/configure:  $(am__configure_deps)
762290001Sglebius	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
763290001Sglebius$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
764290001Sglebius	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
765290001Sglebius$(am__aclocal_m4_deps):
766290001Sglebius
767290001Sglebiusclean-checkPROGRAMS:
768290001Sglebius	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
769290001Sglebius	echo " rm -f" $$list; \
770290001Sglebius	rm -f $$list || exit $$?; \
771290001Sglebius	test -n "$(EXEEXT)" || exit 0; \
772290001Sglebius	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
773290001Sglebius	echo " rm -f" $$list; \
774290001Sglebius	rm -f $$list
775290001Sglebius
776290001Sglebiussec-2853$(EXEEXT): $(sec_2853_OBJECTS) $(sec_2853_DEPENDENCIES) $(EXTRA_sec_2853_DEPENDENCIES) 
777290001Sglebius	@rm -f sec-2853$(EXEEXT)
778290001Sglebius	$(AM_V_CCLD)$(LINK) $(sec_2853_OBJECTS) $(sec_2853_LDADD) $(LIBS)
779290001Sglebius
780290001Sglebiusmostlyclean-compile:
781290001Sglebius	-rm -f *.$(OBJEXT)
782290001Sglebius
783290001Sglebiusdistclean-compile:
784290001Sglebius	-rm -f *.tab.c
785290001Sglebius
786290001Sglebius@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/run-sec-2853.Po@am__quote@
787290001Sglebius@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sec-2853.Po@am__quote@
788290001Sglebius
789290001Sglebius.c.o:
790290001Sglebius@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
791290001Sglebius@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
792290001Sglebius@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
793290001Sglebius@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
794290001Sglebius@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
795290001Sglebius
796290001Sglebius.c.obj:
797290001Sglebius@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
798290001Sglebius@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
799290001Sglebius@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
800290001Sglebius@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
801290001Sglebius@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
802290001Sglebius
803290001Sglebius.c.lo:
804290001Sglebius@am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
805290001Sglebius@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
806290001Sglebius@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
807290001Sglebius@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
808290001Sglebius@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
809290001Sglebius
810290001Sglebiusmostlyclean-libtool:
811290001Sglebius	-rm -f *.lo
812290001Sglebius
813290001Sglebiusclean-libtool:
814290001Sglebius	-rm -rf .libs _libs
815290001Sglebius
816290001SglebiusID: $(am__tagged_files)
817290001Sglebius	$(am__define_uniq_tagged_files); mkid -fID $$unique
818290001Sglebiustags: tags-am
819290001SglebiusTAGS: tags
820290001Sglebius
821290001Sglebiustags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
822290001Sglebius	set x; \
823290001Sglebius	here=`pwd`; \
824290001Sglebius	$(am__define_uniq_tagged_files); \
825290001Sglebius	shift; \
826290001Sglebius	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
827290001Sglebius	  test -n "$$unique" || unique=$$empty_fix; \
828290001Sglebius	  if test $$# -gt 0; then \
829290001Sglebius	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
830290001Sglebius	      "$$@" $$unique; \
831290001Sglebius	  else \
832290001Sglebius	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
833290001Sglebius	      $$unique; \
834290001Sglebius	  fi; \
835290001Sglebius	fi
836290001Sglebiusctags: ctags-am
837290001Sglebius
838290001SglebiusCTAGS: ctags
839290001Sglebiusctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
840290001Sglebius	$(am__define_uniq_tagged_files); \
841290001Sglebius	test -z "$(CTAGS_ARGS)$$unique" \
842290001Sglebius	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
843290001Sglebius	     $$unique
844290001Sglebius
845290001SglebiusGTAGS:
846290001Sglebius	here=`$(am__cd) $(top_builddir) && pwd` \
847290001Sglebius	  && $(am__cd) $(top_srcdir) \
848290001Sglebius	  && gtags -i $(GTAGS_ARGS) "$$here"
849290001Sglebiuscscopelist: cscopelist-am
850290001Sglebius
851290001Sglebiuscscopelist-am: $(am__tagged_files)
852290001Sglebius	list='$(am__tagged_files)'; \
853290001Sglebius	case "$(srcdir)" in \
854290001Sglebius	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
855290001Sglebius	  *) sdir=$(subdir)/$(srcdir) ;; \
856290001Sglebius	esac; \
857290001Sglebius	for i in $$list; do \
858290001Sglebius	  if test -f "$$i"; then \
859290001Sglebius	    echo "$(subdir)/$$i"; \
860290001Sglebius	  else \
861290001Sglebius	    echo "$$sdir/$$i"; \
862290001Sglebius	  fi; \
863290001Sglebius	done >> $(top_builddir)/cscope.files
864290001Sglebius
865290001Sglebiusdistclean-tags:
866290001Sglebius	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
867290001Sglebius
868290001Sglebius# Recover from deleted '.trs' file; this should ensure that
869290001Sglebius# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
870290001Sglebius# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
871290001Sglebius# to avoid problems with "make -n".
872290001Sglebius.log.trs:
873290001Sglebius	rm -f $< $@
874290001Sglebius	$(MAKE) $(AM_MAKEFLAGS) $<
875290001Sglebius
876290001Sglebius# Leading 'am--fnord' is there to ensure the list of targets does not
877290001Sglebius# expand to empty, as could happen e.g. with make check TESTS=''.
878290001Sglebiusam--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
879290001Sglebiusam--force-recheck:
880290001Sglebius	@:
881290001Sglebius
882290001Sglebius$(TEST_SUITE_LOG): $(TEST_LOGS)
883290001Sglebius	@$(am__set_TESTS_bases); \
884290001Sglebius	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
885290001Sglebius	redo_bases=`for i in $$bases; do \
886290001Sglebius	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
887290001Sglebius	            done`; \
888290001Sglebius	if test -n "$$redo_bases"; then \
889290001Sglebius	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
890290001Sglebius	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
891290001Sglebius	  if $(am__make_dryrun); then :; else \
892290001Sglebius	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
893290001Sglebius	  fi; \
894290001Sglebius	fi; \
895290001Sglebius	if test -n "$$am__remaking_logs"; then \
896290001Sglebius	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
897290001Sglebius	       "recursion detected" >&2; \
898290001Sglebius	elif test -n "$$redo_logs"; then \
899290001Sglebius	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
900290001Sglebius	fi; \
901290001Sglebius	if $(am__make_dryrun); then :; else \
902290001Sglebius	  st=0;  \
903290001Sglebius	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
904290001Sglebius	  for i in $$redo_bases; do \
905290001Sglebius	    test -f $$i.trs && test -r $$i.trs \
906290001Sglebius	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
907290001Sglebius	    test -f $$i.log && test -r $$i.log \
908290001Sglebius	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
909290001Sglebius	  done; \
910290001Sglebius	  test $$st -eq 0 || exit 1; \
911290001Sglebius	fi
912290001Sglebius	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
913290001Sglebius	ws='[ 	]'; \
914290001Sglebius	results=`for b in $$bases; do echo $$b.trs; done`; \
915290001Sglebius	test -n "$$results" || results=/dev/null; \
916290001Sglebius	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
917290001Sglebius	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
918290001Sglebius	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
919290001Sglebius	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
920290001Sglebius	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
921290001Sglebius	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
922290001Sglebius	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
923290001Sglebius	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
924290001Sglebius	  success=true; \
925290001Sglebius	else \
926290001Sglebius	  success=false; \
927290001Sglebius	fi; \
928290001Sglebius	br='==================='; br=$$br$$br$$br$$br; \
929290001Sglebius	result_count () \
930290001Sglebius	{ \
931290001Sglebius	    if test x"$$1" = x"--maybe-color"; then \
932290001Sglebius	      maybe_colorize=yes; \
933290001Sglebius	    elif test x"$$1" = x"--no-color"; then \
934290001Sglebius	      maybe_colorize=no; \
935290001Sglebius	    else \
936290001Sglebius	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
937290001Sglebius	    fi; \
938290001Sglebius	    shift; \
939290001Sglebius	    desc=$$1 count=$$2; \
940290001Sglebius	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
941290001Sglebius	      color_start=$$3 color_end=$$std; \
942290001Sglebius	    else \
943290001Sglebius	      color_start= color_end=; \
944290001Sglebius	    fi; \
945290001Sglebius	    echo "$${color_start}# $$desc $$count$${color_end}"; \
946290001Sglebius	}; \
947290001Sglebius	create_testsuite_report () \
948290001Sglebius	{ \
949290001Sglebius	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
950290001Sglebius	  result_count $$1 "PASS: " $$pass  "$$grn"; \
951290001Sglebius	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
952290001Sglebius	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
953290001Sglebius	  result_count $$1 "FAIL: " $$fail  "$$red"; \
954290001Sglebius	  result_count $$1 "XPASS:" $$xpass "$$red"; \
955290001Sglebius	  result_count $$1 "ERROR:" $$error "$$mgn"; \
956290001Sglebius	}; \
957290001Sglebius	{								\
958290001Sglebius	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
959290001Sglebius	    $(am__rst_title);						\
960290001Sglebius	  create_testsuite_report --no-color;				\
961290001Sglebius	  echo;								\
962290001Sglebius	  echo ".. contents:: :depth: 2";				\
963290001Sglebius	  echo;								\
964290001Sglebius	  for b in $$bases; do echo $$b; done				\
965290001Sglebius	    | $(am__create_global_log);					\
966290001Sglebius	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
967290001Sglebius	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
968290001Sglebius	if $$success; then						\
969290001Sglebius	  col="$$grn";							\
970290001Sglebius	 else								\
971290001Sglebius	  col="$$red";							\
972290001Sglebius	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
973290001Sglebius	fi;								\
974290001Sglebius	echo "$${col}$$br$${std}"; 					\
975290001Sglebius	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
976290001Sglebius	echo "$${col}$$br$${std}"; 					\
977290001Sglebius	create_testsuite_report --maybe-color;				\
978290001Sglebius	echo "$$col$$br$$std";						\
979290001Sglebius	if $$success; then :; else					\
980290001Sglebius	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
981290001Sglebius	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
982290001Sglebius	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
983290001Sglebius	  fi;								\
984290001Sglebius	  echo "$$col$$br$$std";					\
985290001Sglebius	fi;								\
986290001Sglebius	$$success || exit 1
987290001Sglebius
988290001Sglebiuscheck-TESTS:
989290001Sglebius	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
990290001Sglebius	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
991290001Sglebius	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
992290001Sglebius	@set +e; $(am__set_TESTS_bases); \
993290001Sglebius	log_list=`for i in $$bases; do echo $$i.log; done`; \
994290001Sglebius	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
995290001Sglebius	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
996290001Sglebius	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
997290001Sglebius	exit $$?;
998290001Sglebiusrecheck: all $(check_PROGRAMS)
999290001Sglebius	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1000290001Sglebius	@set +e; $(am__set_TESTS_bases); \
1001290001Sglebius	bases=`for i in $$bases; do echo $$i; done \
1002290001Sglebius	         | $(am__list_recheck_tests)` || exit 1; \
1003290001Sglebius	log_list=`for i in $$bases; do echo $$i.log; done`; \
1004290001Sglebius	log_list=`echo $$log_list`; \
1005290001Sglebius	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1006290001Sglebius	        am__force_recheck=am--force-recheck \
1007290001Sglebius	        TEST_LOGS="$$log_list"; \
1008290001Sglebius	exit $$?
1009290001Sglebiussec-2853.log: sec-2853$(EXEEXT)
1010290001Sglebius	@p='sec-2853$(EXEEXT)'; \
1011290001Sglebius	b='sec-2853'; \
1012290001Sglebius	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1013290001Sglebius	--log-file $$b.log --trs-file $$b.trs \
1014290001Sglebius	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1015290001Sglebius	"$$tst" $(AM_TESTS_FD_REDIRECT)
1016290001Sglebius.test.log:
1017290001Sglebius	@p='$<'; \
1018290001Sglebius	$(am__set_b); \
1019290001Sglebius	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1020290001Sglebius	--log-file $$b.log --trs-file $$b.trs \
1021290001Sglebius	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1022290001Sglebius	"$$tst" $(AM_TESTS_FD_REDIRECT)
1023290001Sglebius@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1024290001Sglebius@am__EXEEXT_TRUE@	@p='$<'; \
1025290001Sglebius@am__EXEEXT_TRUE@	$(am__set_b); \
1026290001Sglebius@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1027290001Sglebius@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
1028290001Sglebius@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1029290001Sglebius@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
1030290001Sglebius
1031290001Sglebiusdistdir: $(DISTFILES)
1032290001Sglebius	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1033290001Sglebius	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1034290001Sglebius	list='$(DISTFILES)'; \
1035290001Sglebius	  dist_files=`for file in $$list; do echo $$file; done | \
1036290001Sglebius	  sed -e "s|^$$srcdirstrip/||;t" \
1037290001Sglebius	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1038290001Sglebius	case $$dist_files in \
1039290001Sglebius	  */*) $(MKDIR_P) `echo "$$dist_files" | \
1040290001Sglebius			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1041290001Sglebius			   sort -u` ;; \
1042290001Sglebius	esac; \
1043290001Sglebius	for file in $$dist_files; do \
1044290001Sglebius	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1045290001Sglebius	  if test -d $$d/$$file; then \
1046290001Sglebius	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1047290001Sglebius	    if test -d "$(distdir)/$$file"; then \
1048290001Sglebius	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1049290001Sglebius	    fi; \
1050290001Sglebius	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1051290001Sglebius	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1052290001Sglebius	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1053290001Sglebius	    fi; \
1054290001Sglebius	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1055290001Sglebius	  else \
1056290001Sglebius	    test -f "$(distdir)/$$file" \
1057290001Sglebius	    || cp -p $$d/$$file "$(distdir)/$$file" \
1058290001Sglebius	    || exit 1; \
1059290001Sglebius	  fi; \
1060290001Sglebius	done
1061290001Sglebiuscheck-am: all-am
1062290001Sglebius	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1063290001Sglebius	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
1064290001Sglebiuscheck: $(BUILT_SOURCES)
1065290001Sglebius	$(MAKE) $(AM_MAKEFLAGS) check-am
1066290001Sglebiusall-am: Makefile
1067290001Sglebiusinstalldirs:
1068290001Sglebiusinstall: $(BUILT_SOURCES)
1069290001Sglebius	$(MAKE) $(AM_MAKEFLAGS) install-am
1070290001Sglebiusinstall-exec: install-exec-am
1071290001Sglebiusinstall-data: install-data-am
1072290001Sglebiusuninstall: uninstall-am
1073290001Sglebius
1074290001Sglebiusinstall-am: all-am
1075290001Sglebius	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1076290001Sglebius
1077290001Sglebiusinstallcheck: installcheck-am
1078290001Sglebiusinstall-strip:
1079290001Sglebius	if test -z '$(STRIP)'; then \
1080290001Sglebius	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1081290001Sglebius	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1082290001Sglebius	      install; \
1083290001Sglebius	else \
1084290001Sglebius	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1085290001Sglebius	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1086290001Sglebius	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1087290001Sglebius	fi
1088290001Sglebiusmostlyclean-generic:
1089290001Sglebius	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1090290001Sglebius	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1091290001Sglebius	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1092290001Sglebius
1093290001Sglebiusclean-generic:
1094290001Sglebius	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1095290001Sglebius
1096290001Sglebiusdistclean-generic:
1097290001Sglebius	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1098290001Sglebius	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1099290001Sglebius
1100290001Sglebiusmaintainer-clean-generic:
1101290001Sglebius	@echo "This command is intended for maintainers to use"
1102290001Sglebius	@echo "it deletes files that may require special tools to rebuild."
1103290001Sglebius	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1104290001Sglebiusclean: clean-am
1105290001Sglebius
1106290001Sglebiusclean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1107290001Sglebius	mostlyclean-am
1108290001Sglebius
1109290001Sglebiusdistclean: distclean-am
1110290001Sglebius	-rm -rf ./$(DEPDIR)
1111290001Sglebius	-rm -f Makefile
1112290001Sglebiusdistclean-am: clean-am distclean-compile distclean-generic \
1113290001Sglebius	distclean-tags
1114290001Sglebius
1115290001Sglebiusdvi: dvi-am
1116290001Sglebius
1117290001Sglebiusdvi-am:
1118290001Sglebius
1119290001Sglebiushtml: html-am
1120290001Sglebius
1121290001Sglebiushtml-am:
1122290001Sglebius
1123290001Sglebiusinfo: info-am
1124290001Sglebius
1125290001Sglebiusinfo-am:
1126290001Sglebius
1127290001Sglebiusinstall-data-am:
1128290001Sglebius
1129290001Sglebiusinstall-dvi: install-dvi-am
1130290001Sglebius
1131290001Sglebiusinstall-dvi-am:
1132290001Sglebius
1133290001Sglebiusinstall-exec-am:
1134290001Sglebius
1135290001Sglebiusinstall-html: install-html-am
1136290001Sglebius
1137290001Sglebiusinstall-html-am:
1138290001Sglebius
1139290001Sglebiusinstall-info: install-info-am
1140290001Sglebius
1141290001Sglebiusinstall-info-am:
1142290001Sglebius
1143290001Sglebiusinstall-man:
1144290001Sglebius
1145290001Sglebiusinstall-pdf: install-pdf-am
1146290001Sglebius
1147290001Sglebiusinstall-pdf-am:
1148290001Sglebius
1149290001Sglebiusinstall-ps: install-ps-am
1150290001Sglebius
1151290001Sglebiusinstall-ps-am:
1152290001Sglebius
1153290001Sglebiusinstallcheck-am:
1154290001Sglebius
1155290001Sglebiusmaintainer-clean: maintainer-clean-am
1156290001Sglebius	-rm -rf ./$(DEPDIR)
1157290001Sglebius	-rm -f Makefile
1158290001Sglebiusmaintainer-clean-am: distclean-am maintainer-clean-generic
1159290001Sglebius
1160290001Sglebiusmostlyclean: mostlyclean-am
1161290001Sglebius
1162290001Sglebiusmostlyclean-am: mostlyclean-compile mostlyclean-generic \
1163290001Sglebius	mostlyclean-libtool
1164290001Sglebius
1165290001Sglebiuspdf: pdf-am
1166290001Sglebius
1167290001Sglebiuspdf-am:
1168290001Sglebius
1169290001Sglebiusps: ps-am
1170290001Sglebius
1171290001Sglebiusps-am:
1172290001Sglebius
1173290001Sglebiusuninstall-am:
1174290001Sglebius
1175290001Sglebius.MAKE: all check check-am install install-am install-strip
1176290001Sglebius
1177290001Sglebius.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1178290001Sglebius	clean-checkPROGRAMS clean-generic clean-libtool cscopelist-am \
1179290001Sglebius	ctags ctags-am distclean distclean-compile distclean-generic \
1180290001Sglebius	distclean-libtool distclean-tags distdir dvi dvi-am html \
1181290001Sglebius	html-am info info-am install install-am install-data \
1182290001Sglebius	install-data-am install-dvi install-dvi-am install-exec \
1183290001Sglebius	install-exec-am install-html install-html-am install-info \
1184290001Sglebius	install-info-am install-man install-pdf install-pdf-am \
1185290001Sglebius	install-ps install-ps-am install-strip installcheck \
1186290001Sglebius	installcheck-am installdirs maintainer-clean \
1187290001Sglebius	maintainer-clean-generic mostlyclean mostlyclean-compile \
1188290001Sglebius	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1189290001Sglebius	recheck tags tags-am uninstall uninstall-am
1190290001Sglebius
1191290001Sglebius.PRECIOUS: Makefile
1192290001Sglebius
1193290001Sglebius
1194290001Sglebius$(srcdir)/run-sec-2853.c: $(srcdir)/sec-2853.c $(std_unity_list)
1195290001Sglebius	$(run_unity) sec-2853.c run-sec-2853.c
1196290001Sglebius
1197290001Sglebiuscheck-libntp: ../../libntp/libntp.a
1198290001Sglebius	@echo stamp > $@
1199290001Sglebius
1200290001Sglebius../../libntp/libntp.a:
1201290001Sglebius	cd ../../libntp && $(MAKE) $(AM_MAKEFLAGS) libntp.a
1202290001Sglebius
1203290001Sglebiuscheck-libunity: ../../sntp/unity/libunity.a
1204290001Sglebius	@echo stamp > $@
1205290001Sglebius
1206290001Sglebius../../sntp/unity/libunity.a:
1207290001Sglebius	cd ../../libunity && $(MAKE) $(AM_MAKEFLAGS) libunity.a
1208290001Sglebius
1209290001Sglebiuscheck-rc-cmdlength: ../../ntpd/rc_cmdlength.o
1210290001Sglebius	@echo stamp > $@
1211290001Sglebius
1212290001Sglebius../../ntpd/rc_cmdlength.o:
1213290001Sglebius	cd ../../ntpd && $(MAKE) $(AM_MAKEFLAGS) rc_cmdlength.o
1214290001Sglebius$(DEPDIR)/deps-ver: $(top_srcdir)/deps-ver
1215290001Sglebius	@[ -f $@ ] ||							\
1216290001Sglebius		cp $(top_srcdir)/deps-ver $@
1217290001Sglebius	@[ -w $@ ] ||							\
1218290001Sglebius		chmod ug+w $@
1219290001Sglebius	@cmp $(top_srcdir)/deps-ver $@ > /dev/null || (			\
1220290001Sglebius		$(MAKE) $(AM_MAKEFLAGS) clean &&					\
1221290001Sglebius		echo -n "Prior $(subdir)/$(DEPDIR) version " &&		\
1222290001Sglebius		cat $@ &&						\
1223290001Sglebius		rm -rf $(DEPDIR) &&					\
1224290001Sglebius		mkdir $(DEPDIR) && 					\
1225290001Sglebius		case "$(top_builddir)" in				\
1226290001Sglebius		 .)							\
1227290001Sglebius		    ./config.status Makefile depfiles			\
1228290001Sglebius		    ;;							\
1229290001Sglebius		 *)							\
1230290001Sglebius		    cd "$(top_builddir)" &&				\
1231290001Sglebius		    ./config.status $(subdir)/Makefile depfiles &&	\
1232290001Sglebius		    cd $(subdir)					\
1233290001Sglebius		    ;;							\
1234290001Sglebius		esac &&							\
1235290001Sglebius		echo -n "Cleaned $(subdir)/$(DEPDIR) version " &&	\
1236290001Sglebius		cat $(top_srcdir)/deps-ver				\
1237290001Sglebius	)
1238290001Sglebius	cp $(top_srcdir)/deps-ver $@
1239290001Sglebius
1240290001Sglebius.deps-ver: $(top_srcdir)/deps-ver
1241290001Sglebius	@[ ! -d $(DEPDIR) ] || $(MAKE) $(AM_MAKEFLAGS) $(DEPDIR)/deps-ver
1242290001Sglebius	@touch $@
1243290001Sglebius
1244290001Sglebius#
1245290001Sglebius# depsver.mf	included in Makefile.am for directories with .deps
1246290001Sglebius#
1247290001Sglebius# When building in the same directory with sources that change over
1248290001Sglebius# time, such as when tracking using bk, the .deps files can become
1249290001Sglebius# stale with respect to moved, deleted, or superceded headers.  Most
1250290001Sglebius# commonly, this would exhibit as make reporting a failure to make a
1251290001Sglebius# header file which is no longer in the location given.  To address
1252290001Sglebius# this issue, we use a deps-ver file which is updated with each change
1253290001Sglebius# that breaks old .deps files.  A copy of deps-ver is made into
1254290001Sglebius# $(DEPDIR) if not already present.  If $(DEPDIR)/deps-ver is present
1255290001Sglebius# with different contents than deps-ver, we make clean to ensure all
1256290001Sglebius# .o files built before the incompatible change are rebuilt along with
1257290001Sglebius# their updated .deps files, then remove $(DEPDIR) and recreate it as
1258290001Sglebius# empty stubs.
1259290001Sglebius#
1260290001Sglebius# It is normal when configured with --disable-dependency-tracking for
1261290001Sglebius# the DEPDIR to not have been created.  For this reason, we use the
1262290001Sglebius# intermediate target .deps-ver, which invokes make recursively if
1263290001Sglebius# DEPDIR exists.
1264290001Sglebius#
1265290001Sglebius# If you modify depsver.mf, please make the changes to the master
1266290001Sglebius# copy, the one in sntp is copied by the bootstrap script from it.
1267290001Sglebius#
1268290001Sglebius# This comment block follows rather than leads the related code so that
1269290001Sglebius# it stays with it in the generated Makefile.in and Makefile.
1270290001Sglebius#
1271290001Sglebius
1272290001Sglebius# Tell versions [3.59,3.63) of GNU make to not export all variables.
1273290001Sglebius# Otherwise a system limit (for SysV at least) may be exceeded.
1274290001Sglebius.NOEXPORT:
1275